import numpy as np
import matplotlib.pyplot as plt

from simprotein import run_MC
from optimize_ree import create_initpopulation

# Generate a dataset of sequences and end-to-end distance distributions to be used in fitting a surrogate function

n_sets = 200
f_out = open('pca_data.txt', 'w')
sequences = create_initpopulation(15, n_sets)
for i_step in range(n_sets):
    types = sequences[i_step, :]
    temp = 1.0
    acc_ratio, ree = run_MC(10000, temp, 2.5, types, save_ree_freq=10)
    bin_edges = np.arange(0, 10.5, 0.5)
    hist, bin_edges = np.histogram(ree, bins=bin_edges, density=True)
    f_out.write('%3d%3d%3d%3d%3d%3d%3d%3d%3d%3d%3d%3d%3d%3d%3d %.4f %.4f %.4f %.4f %.4f %.4f %.4f %.4f %.4f %.4f %.4f %.4f %.4f %.4f %.4f %.4f %.4f %.4f %.4f %.4f\n' %
                (*types, *hist))
f_out.close()
